"""Add IP Trunk activation workflow.

Revision ID: 5bea5647f61d
Revises: 113a81d2a40a
Create Date: 2024-02-27 17:01:57.300326

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = '5bea5647f61d'
down_revision = '113a81d2a40a'
branch_labels = None
depends_on = None


from orchestrator.migrations.helpers import create_workflow, delete_workflow

new_workflows = [
    {
        "name": "activate_iptrunk",
        "target": "MODIFY",
        "description": "Activate an IP Trunk",
        "product_type": "Iptrunk"
    }
]


def upgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        create_workflow(conn, workflow)


def downgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        delete_workflow(conn, workflow["name"])
